/*------------------------------------------------------------------------*\
|                                                                          |
|    This REXX program will create the CFSPoker object on your Desktop     |
|                                                                          |
\*------------------------------------------------------------------------*/
/*--------------------------------*\
|  Be sure REXXUTIl is registered  |
\*--------------------------------*/
call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysloadFuncs'
call SysloadFuncs

/*----------------------*\
|  Build Desktop object  |
\*----------------------*/
location = '<WP_DESKTOP>'
class    = 'WPProgram'
title    = 'CFSPoker'
setup    =,
   'EXENAME='    || DIRECTORY() || '\CFSStart.EXE;' ||,
   'ICONFILE='   || DIRECTORY() || '\CFSlogo4.ico;' ||,
   'STARTUPDIR=' || DIRECTORY() || ';'              ||,
   'OBJECTID=<CFSPoker>;'                           ||,
   ''
call SysCreateObject class, title, location, setup, 'U'
if RESULT = 1 then
   do
      say '   Unable to create object'
   end
